Summary: A GNU arbitrary precision library.
Name: gmp
Version: 2.0.2
Release: 16mdk
URL: http://www.gnu.org
Source: ftp://ftp.gnu.org/pub/gnu/gmp-2.0.2.tar.bz2
Patch0: gmp-2.0.2-1.shared.patch.bz2
Patch1: gmp-2.0.2-sparc.patch.bz2
Patch2: gmp-2.0.2-fixes.patch.bz2
Patch3: gmp-2.0.2-ppc.patch.bz2
Copyright: GPL 
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-root

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and
floating point numbers. GNU MP is designed for speed, for both
small and very large operands. GNU MP is fast for several reasons:
It uses fullwords as the basic arithmetic type, it uses fast
algorithms, it carefully optimizes assembly code for many CPUs'
most common inner loops and it generally emphasizes speed over
simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%package devel
Summary: Development tools for the GNU MP arbitrary precision library.
Group: Development/C
PreReq: /sbin/install-info

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.  

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%ifarch ppc
%patch3 -p1
%endif

%build
%configure
make CFLAGS="${RPM_OPT_FLAGS}"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_infodir} \
         ${RPM_BUILD_ROOT}%{_includedir}

%makeinstall
bzip2 -9f ${RPM_BUILD_ROOT}%{_infodir}/gmp.info*
install -m 644 mpn/gmp-mparam.h ${RPM_BUILD_ROOT}%{_includedir}/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%_install_info %{name}.info

%preun devel
%_remove_install_info %{name}.info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.LIB NEWS README
%{_libdir}/libgmp.so.2.0.2

%files devel
%defattr(-,root,root)
%doc SPEED PROJECTS
%{_libdir}/libgmp.so
%{_libdir}/libgmp.a
%{_includedir}/gmp.h
%{_includedir}/gmp-mparam.h
%{_infodir}/gmp.info*

%changelog

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-16mdk
- fix bad script

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.2-15mdk
- BM
- add doc

* Thu Jul 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.0.2-14mdk
- makeinstall macro
- macroszifications

* Sat Mar 25 2000 Daouda Lo <daouda@mandrasoft.com> 2.0.2-13mdk
- fix group

* Sun Nov 28 1999 John Buswell <johnb@mandrakesoft.com>
- Added PPC support

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Release version.

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- .spec optimizations

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
